​

Create record

POST
https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}/records

Creates a custom directory record. The request body uses a `values` map where keys are directory field IDs. Use `response_profile` query param to control the response size.

Path parameters
NameTypeReference
directory_idrequiredstringDirectory ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
values
required
object

Values map where keys are custom directory field IDs. Each value is either an object (single-value) or an array of objects (multi-select).

Query
NameTypeConstraintsDescription
response_profilestringnone | summary | details | fullControls response size. Use `none` to return `{ id }` only.
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

string

Record ID (UUID)
custom_directory_id

string

Directory ID (UUID)
display_value

null | string

Pre-computed record display value
condition

enum

Record condition: active | inactive | removed
author_uid

string

Author user UID (UUID)
updater_uid

string

Updater user UID (UUID)
created

string

Create date
updated

string

Last update timestamp
author

object

Author user object
updater

object

Updater user object
values

array of objects

Schema
Field values for the record
400
DescriptionResponse typeExample
Validation errorObject
Open

A schema has not been defined for this response code.

401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundObject
Open

A schema has not been defined for this response code.

Examples

Create custom directory record

{
  "values": {
    "c1d2e3f4-1111-4aaa-8bbb-ccccdddd0001": {
      "value_text": "Alice"
    },
    "c1d2e3f4-1111-4aaa-8bbb-ccccdddd0002": {
      "value_text": "alice@example.com"
    }
  }
}
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}/records' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!